'''
Created on Feb 26, 2016

@author: luca
'''
import os
import fnmatch
import random
from shutil import copyfile

static_file_list = '../sources/list-'

class CreateFileList():
    ''' classdocs '''


    def __init__(self, options):
        ''' Constructor '''
        self.options = options
        
        self.paths = []
        self.types = []
        self.users = []
        self.numbers = []
        self.commons = []
        
        # Check the path[s] argument
        if options.path:
            self.paths = options.path

        # Check the type[s] argument            
        if options.type:
            self.types = options.type
        else:
            self.types.append('java')

        # Check the user[s] argument            
        if options.user:
            self.users = options.user
        else:
            self.users.append('user')
            
        # Check the number[s] argument            
        if options.number:
            self.numbers = options.number
        else:
            self.numbers.append(100)

        # Check the common[s] argument            
        if options.common:
            self.commons = options.common
        else:
            self.commons.append(0)
        
        self.filenameList = []
        self.fnRandomList = {}
        
    def find_files(self, directory, pattern):
        for root, dirs, files in os.walk(directory):
            for basename in files:
                if fnmatch.fnmatch(basename, pattern):
                    filename = os.path.join(root, basename)
                    yield filename

    
    def fileList(self):
        if len(self.paths):
            for path in self.paths:
                print("Path: %s" % (path))
                for t in self.types:
                    print("Type: %s" % (t))
                    for filename in self.find_files(path, '*.' + t):
                        self.filenameList.append(filename)
                        #print('Found: %s' % (filename))
        
    def fileRandomExtraction(self):
        if self.filenameList:
            uniq = []
            print("FilenameList length: %s" % (len(self.filenameList)))
            if len(self.users) == len(self.numbers):
                uniq_filenames = random.sample(self.filenameList, int(self.commons[0]))
                common = len(uniq_filenames)
                #for number, common in zip(self.numbers, self.commons):
                #    uniq.append(int(number) - int(common))
                
                path = "../sources/" 
                if not os.path.exists(path):
                    os.makedirs(path)
                
                for user, number in zip(self.users, self.numbers):
                    uniq = int(number) - common
                    
                    filelist = []
                    
                    filenames = random.sample(self.filenameList, uniq)
                    for fn in filenames:
                        filelist.append(fn)
                    for ufn in uniq_filenames:
                        filelist.append(ufn)
                        
                    self.fnRandomList[user] = filelist
                        #print('Random extraction: %s' % (fn))
                
                    print("User: %s, Tot number: %s, Unique: %s, Shared: %s" % (user, len(self.fnRandomList[user]), uniq, common))
                
                    # Move to directory
                    directory = "../sources/" + user
                    if not os.path.exists(directory):
                        os.makedirs(directory)
                
                    out = open(static_file_list + user + '.txt', "w")
                    out2 = open(static_file_list + "relative-" + user + '.txt', "w")
                    for line in self.fnRandomList[user]:
                        out.write ("%s\n" % (line))
                        
                        src = line
                        head, tail = os.path.split(line)
                        dst = directory + head[26:]
                        if not os.path.exists(dst):
                            os.makedirs(dst)
                        copyfile(src, dst + "/" + tail)
                        out2.write ("%s\n" % (dst + "/" + tail))
                    out.close()
                    out2.close()
                    
                    
            else:
                print("Mismatch error between -u and -n options")
            
        
         