'''
Created on Feb 18, 2016

@author: luca
'''

import BaseHTTPServer
import logging
import cgi
import os
import base64


'''
Factory to make the request handler and add arguments to it.

It exists to allow the handler to access the Options.path variable
locally.
'''
class MyRequestHandler():
    
    m_opts = None
    cats = None
    sw = None
    nf = None
    
    def __init__(self, options, cats, sw, nf):
        ''' Constructor '''
        MyRequestHandler.m_opts = options
        MyRequestHandler.cats = cats
        MyRequestHandler.sw = sw
        MyRequestHandler.nf = nf
        logging.basicConfig(format='%(asctime)s [%(levelname)s] %(message)s', level=self.get_logging_level(options))

    def get_logging_level(self, opts):
        '''
        Get the logging levels specified on the command line.
        The level can only be set once.
        '''
        if opts.level == 'notset':
            return logging.NOTSET
        elif opts.level == 'debug':
            return logging.DEBUG
        elif opts.level == 'info':
            return logging.INFO
        elif opts.level == 'warning':
            return logging.WARNING
        elif opts.level == 'error':
            return logging.ERROR
        elif opts.level == 'critical':
            return logging.CRITICAL

    class RequestHandler(BaseHTTPServer.BaseHTTPRequestHandler):
        
        # def __init__(self):
        #    ''' Constructor '''
            # self.m_opts = options
    
        def do_HEAD(self):
            ''' Handle a HEAD request. '''
            # logging.debug('HEADER %s' % (self.path))
            self.send_response(200)
            self.send_header('Content-type', 'text/html')
            self.end_headers()
    
        def info(self):
            '''
            Display some useful server information.
            
            http://127.0.0.1:8080/info
            '''
            self.wfile.write('<html>')
            self.wfile.write('  <head>')
            self.wfile.write('    <title>Server Info</title>')
            self.wfile.write('  </head>')
            self.wfile.write('  <body>')
            self.wfile.write('    <table>')
            self.wfile.write('      <tbody>')
            self.wfile.write('        <tr>')
            self.wfile.write('          <td>client_address</td>')
            self.wfile.write('          <td>%r</td>' % (repr(self.client_address)))
            self.wfile.write('        </tr>')
            self.wfile.write('        <tr>')
            self.wfile.write('          <td>command</td>')
            self.wfile.write('          <td>%r</td>' % (repr(self.command)))
            self.wfile.write('        </tr>')
            self.wfile.write('        <tr>')
            self.wfile.write('          <td>headers</td>')
            self.wfile.write('          <td>%r</td>' % (repr(self.headers)))
            self.wfile.write('        </tr>')
            self.wfile.write('        <tr>')
            self.wfile.write('          <td>path</td>')
            self.wfile.write('          <td>%r</td>' % (repr(self.path)))
            self.wfile.write('        </tr>')
            self.wfile.write('        <tr>')
            self.wfile.write('          <td>server_version</td>')
            self.wfile.write('          <td>%r</td>' % (repr(self.server_version)))
            self.wfile.write('        </tr>')
            self.wfile.write('        <tr>')
            self.wfile.write('          <td>sys_version</td>')
            self.wfile.write('          <td>%r</td>' % (repr(self.sys_version)))
            self.wfile.write('        </tr>')
            self.wfile.write('      </tbody>')
            self.wfile.write('    </table>')
            self.wfile.write('  </body>')
            self.wfile.write('</html>')
    
        def do_GET(self):
            ''' Handle a GET request. '''
            logging.debug('GET: %s' % (self.path))
            
            # Parse out the arguments.
            # The arguments follow a '?' in the URL. Here is an example:
            #   http://example.com?arg1=val1
            args = {}
            idx = self.path.find('?')
            if idx >= 0:
                rpath = self.path[:idx]
                args = cgi.parse_qs(self.path[idx + 1:])
            else:
                rpath = self.path
            
            # Print out logging information about the path and args.
            if 'content-type' in self.headers:
                ctype, _ = cgi.parse_header(self.headers['content-type'])
                ##logging.debug('TYPE %s' % (ctype))
            
            ##logging.debug('PATH: %s' % (rpath))
            ##logging.debug('ARGS: %d' % (len(args)))
            if len(args):
                i = 0
                for key in sorted(args):
                    ##logging.debug('ARG[%d]: %s=%s' % (i, key, args[key]))
                    i += 1
            
            # Check to see whether the file is stored locally, if it is, display it.
            # There is special handling for http://127.0.0.1/info. That URL displays some internal information.
            if self.path == '/info' or self.path == '/info/':
                self.send_response(200)  # OK
                self.send_header('Content-type', 'text/html')
                self.end_headers()
                self.info()
                
            elif rpath == "/categories.xml" or rpath == "/categories.xml/": 
                self.send_response(200)  # OK
                self.send_header('Content-type', 'text/html')
                self.end_headers()
                self.sendCategories()
            elif rpath == "/newfile.xml" or rpath == "/newfile.xml/": 
                self.send_response(200)  # OK
                self.send_header('Content-type', 'text/html')
                self.end_headers()
                if len(args):
                    self.sendNewFile(str(args['username'])[2:-2])
            elif rpath == "/categories.cgi" or rpath == "/categories.cgi/":
                self.send_response(200)  # OK
                self.send_header('Content-type', 'text/html')
                self.end_headers()
                if len(args):
                    MyRequestHandler.cats.addCategory(str(args['cat-name'])[2:-2])
#             elif rpath == "/comments.cgi" or rpath == "/comments.cgi/":
#                 self.send_response(200)  # OK
#                 self.send_header('Content-type', 'text/html')
#                 self.end_headers()
#                 if len(args):
#                     filename = str(args['filename'])[2:-2]
#                     table =  str(args['table'])[2:-2]
#                     print(filename)
#                     print(table)
            else:
                # Get the file path.
                path = MyRequestHandler.m_opts.rootdir + rpath
                # path = 
                dirpath = None
                logging.debug('FILE %s' % (path))
            
                # If it is a directory look for index.html
                # or process it directly if there are 3
                # trailing slashed.
                if rpath[-3:] == '///':
                    dirpath = path
                elif os.path.exists(path) and os.path.isdir(path):
                    dirpath = path  # the directory portion
                    index_files = ['/index.html', '/index.htm', ]
                    for index_file in index_files:
                        tmppath = path + index_file
                        if os.path.exists(tmppath):
                            path = tmppath
                            break
            
                # Allow the user to type "///" at the end to see the
                # directory listing.
                if os.path.exists(path) and os.path.isfile(path):
                    # This is valid file, send it as the response
                    # after determining whether it is a type that
                    # the server recognizes.
                    _, ext = os.path.splitext(path)
                    ext = ext.lower()
                    content_type = {
                        '.css': 'text/css',
                        '.gif': 'image/gif',
                        '.htm': 'text/html',
                        '.html': 'text/html',
                        '.jpeg': 'image/jpeg',
                        '.jpg': 'image/jpg',
                        '.js': 'text/javascript',
                        '.png': 'image/png',
                        '.text': 'text/plain',
                        '.txt': 'text/plain',
                    }
            
                    # If it is a known extension, set the correct
                    # content type in the response.
                    if ext in content_type:
                        self.send_response(200)  # OK
                        self.send_header('Content-type', content_type[ext])
                        self.end_headers()
            
                        with open(path) as ifp:
                            self.wfile.write(ifp.read())
                    else:
                        # Unknown file type or a directory.
                        # Treat it as plain text.
                        self.send_response(200)  # OK
                        self.send_header('Content-type', 'text/plain')
                        self.end_headers()
            
                        with open(path) as ifp:
                            self.wfile.write(ifp.read())
                else:
                    if dirpath is None or MyRequestHandler.m_opts.no_dirlist == True:
                        # Invalid file path, respond with a server access error
                        self.send_response(500)  # generic server error for now
                        self.send_header('Content-type', 'text/html')
                        self.end_headers()
            
                        self.wfile.write('<html>')
                        self.wfile.write('  <head>')
                        self.wfile.write('    <title>Server Access Error</title>')
                        self.wfile.write('  </head>')
                        self.wfile.write('  <body>')
                        self.wfile.write('    <p>Server access error.</p>')
                        self.wfile.write('    <p>%r</p>' % (repr(self.path)))
                        self.wfile.write('    <p><a href="%s">Back</a></p>' % (rpath))
                        self.wfile.write('  </body>')
                        self.wfile.write('</html>')
                    else:
                        # List the directory contents. Allow simple navigation.
                        # logging.debug('DIR %s' % (dirpath))
            
                        self.send_response(200)  # OK
                        self.send_header('Content-type', 'text/html')
                        self.end_headers()
                        
                        self.wfile.write('<html>')
                        self.wfile.write('  <head>')
                        self.wfile.write('    <title>%s</title>' % (dirpath))
                        self.wfile.write('  </head>')
                        self.wfile.write('  <body>')
                        self.wfile.write('    <a href="%s">Home</a><br>' % ('/'));
            
                        # Make the directory path navigable.
                        dirstr = ''
                        href = None
                        for seg in rpath.split('/'):
                            if href is None:
                                href = seg
                            else:
                                href = href + '/' + seg
                                dirstr += '/'
                            dirstr += '<a href="%s">%s</a>' % (href, seg)
                        self.wfile.write('    <p>Directory: %s</p>' % (dirstr))
            
                        # Write out the simple directory list (name and size).
                        self.wfile.write('    <table border="0">')
                        self.wfile.write('      <tbody>')
                        fnames = ['..']
                        fnames.extend(sorted(os.listdir(dirpath), key=str.lower))
                        for fname in fnames:
                            self.wfile.write('        <tr>')
                            self.wfile.write('          <td align="left">')
                            path = rpath + '/' + fname
                            fpath = os.path.join(dirpath, fname)
                            if os.path.isdir(path):
                                self.wfile.write('            <a href="%s">%s/</a>' % (path, fname))
                            else:
                                self.wfile.write('            <a href="%s">%s</a>' % (path, fname))
                            self.wfile.write('          <td>&nbsp;&nbsp;</td>')
                            self.wfile.write('          </td>')
                            self.wfile.write('          <td align="right">%d</td>' % (os.path.getsize(fpath)))
                            self.wfile.write('        </tr>')
                        self.wfile.write('      </tbody>')
                        self.wfile.write('    </table>')
                        self.wfile.write('  </body>')
                        self.wfile.write('</html>')
    
        def do_POST(self):
                ''' Handle POST requests. '''
                logging.debug('POST %s' % (self.path))
    
                # CITATION: http://stackoverflow.com/questions/4233218/python-basehttprequesthandler-post-variables
                ctype, pdict = cgi.parse_header(self.headers['content-type'])
                if ctype == 'multipart/form-data':
                    postvars = cgi.parse_multipart(self.rfile, pdict)
                elif ctype == 'application/x-www-form-urlencoded':
                    length = int(self.headers['content-length'])
                    postvars = cgi.parse_qs(self.rfile.read(length), keep_blank_values=1)
                else:
                    postvars = {}
    
                # Get the "Back" link.
                back = self.path if self.path.find('?') < 0 else self.path[:self.path.find('?')]
    
                # Print out logging information about the path and args.
                ##logging.debug('TYPE %s' % (ctype))
                ##logging.debug('PATH %s' % (self.path))
                ##logging.debug('ARGS %d' % (len(postvars)))
                if len(postvars):
                    i = 0
                    for key in sorted(postvars):
                        ##logging.debug('ARG[%d] %s=%s' % (i, key, postvars[key]))
                        i += 1
    
                # Tell the browser everything is okay and that there is
                # HTML to display.
                self.send_response(200)  # OK
                self.send_header('Content-type', 'text/html')
                self.end_headers()
    
                if self.path == '/comments.cgi' or self.path == '/comments.cgi/':
                    if len(postvars):
                        username = str(postvars['username'])[2:-2]
                        filename = str(postvars['filename'])[2:-2]
                        table =  str(postvars['table'])[2:-2]
                        MyRequestHandler.sw.saveTable(username, filename, table)
                elif self.path == '/savework.cgi' or self.path == '/savework.cgi/':
                    if len(postvars):
                        username = str(postvars['username'])[2:-2]
                        filename = str(postvars['filename'])[2:-2]
                        table =  str(postvars['table'])[2:-2]
                        work =  str(postvars['work'])[2:-2]
                        comments =  str(postvars['comments'])[2:-2]
                        MyRequestHandler.sw.saveWork(username, filename, table, work, comments)
                else:
                    # Display the POST variables.
                    self.wfile.write('<html>')
                    self.wfile.write('  <head>')
                    self.wfile.write('    <title>Server POST Response</title>')
                    self.wfile.write('  </head>')
                    self.wfile.write('  <body>')
                    self.wfile.write('    <p>POST variables (%d).</p>' % (len(postvars)))
        
                    if len(postvars):
                        # Write out the POST variables in 3 columns.
                        self.wfile.write('    <table>')
                        self.wfile.write('      <tbody>')
                        i = 0
                        for key in sorted(postvars):
                            i += 1
                            val = postvars[key]
                            self.wfile.write('        <tr>')
                            self.wfile.write('          <td align="right">%d</td>' % (i))
                            self.wfile.write('          <td align="right">%s</td>' % key)
                            self.wfile.write('          <td align="left">%s</td>' % val)
                            self.wfile.write('        </tr>')
                        self.wfile.write('      </tbody>')
                        self.wfile.write('    </table>')
        
                    self.wfile.write('    <p><a href="%s">Back</a></p>' % (back))
                    self.wfile.write('  </body>')
                    self.wfile.write('</html>')


        def sendCategories(self):
            lcats = MyRequestHandler.cats.getCategories()
            
            self.wfile.write('<result>')
            self.wfile.write('<length>' + str(len(lcats)) + '</length>')
            for index, category in enumerate(lcats, start=0):
                self.wfile.write('<cat-' + str(index) + '>' + str(category) + '</cat-' + str(index) + '>')
            self.wfile.write('</result>')
            
        def sendNewFile(self, username):
            fileo = MyRequestHandler.nf.getNewFile(username)
            
            self.wfile.write('<?xml version="1.0" encoding="UTF-8"?>\n')
            self.wfile.write('<result>\n')
            
            if fileo is None:
                self.wfile.write('<name>None</name>\n')
            else:
                # Send Total and Completed works
                self.wfile.write('<index>' + str(fileo.getIndex()) + '</index>\n')
                self.wfile.write('<done>' + str(fileo.getCompleted()) + '</done>\n')
                self.wfile.write('<files>' + str(fileo.getTotal()) + '</files>\n')
                if fileo.getTable() is None or fileo.getWork() is None: 
                    self.wfile.write('<table_work>None</table_work>\n')
                    self.wfile.write('<work>None</work>\n')
                    self.wfile.write('<comments>None</comments>\n')
                else:
                    self.wfile.write('<table_work>' + fileo.getTable() + '</table_work>\n')
                    self.wfile.write('<work>' + fileo.getWork() + '</work>\n')
                    self.wfile.write('<comments>' + fileo.getComments() + '</comments>\n')
                self.wfile.write('<name>' + fileo.getFilename() + '</name>\n')
                self.wfile.write('<code>' + base64.b64encode(fileo.getContent()) + '</code>\n')
            self.wfile.write('</result>')        

        # def saveCategory(self, category):
        #    self.cat.addCategory(category)          
