'''
Created on Feb 18, 2016

@author: luca
'''

import os
import sys
import argparse
from core.ErrorMessages import ErrorMessages

VERSION = "0.1"

class Options():
    '''
    classdocs
    '''

    def __init__(self):
        '''
        Constructor
        '''
        
        
    def getOptions(self):
        '''
        Get the command line options
        '''

        # Get the help from the module documentation.
        this = os.path.basename(sys.argv[0])
        description = ('description:%s' % '\n  '.join(__doc__.split('\n')))
        epilog = ' '
        rawd = argparse.RawDescriptionHelpFormatter
        parser = argparse.ArgumentParser(formatter_class=rawd,
                                         description=description,
                                         epilog=epilog)
        
        parser.add_argument('-P', '--path',
                            #action='store_true',
                            action='append',
                            #default = self.getAbsWebPath(),
                            help='Absolute path[s] of project[s] to extract [-f] files')

        parser.add_argument('-t', '--type',
                            action='append',
                            #type=str,
                            #default = 'java',
                            help='Specifies the extensions that will be analyzed ')

        parser.add_argument('-u', '--user',
                            action='append',
                            #type=str,
                            #default = 'user',
                            help='Specifies the name of the user')

        parser.add_argument('-n', '--number',
                            action='append',
                            #type=int,
                            #default = 100,
                            help='Number of file for [-u] user')

        parser.add_argument('-c', '--common',
                            action='append',
                            #type=int,
                            #default = 10,
                            help='Specifies the shared percentage between users')






        
        parser.add_argument('-w', '--web',
                            action='store',
                            type=str,
                            default='',
                            help='Used to start the web server')
    
#         parser.add_argument('-d', '--daemonize',
#                             action='store',
#                             type=str,
#                             default='.',
#                             metavar='DIR',
#                             help='daemonize this process, store the 3 run files (.log, .err, .pid) in DIR (default "%(default)s")')
    
        parser.add_argument('-H', '--host',
                            action='store',
                            type=str,
                            default='localhost',
                            help='hostname, default=%(default)s')
    
        parser.add_argument('-l', '--level',
                            action='store',
                            type=str,
                            default='debug',
                            choices=['notset', 'debug', 'info', 'warning', 'error', 'critical',],
                            help='define the logging level, the default is %(default)s')
    
        parser.add_argument('--no-dirlist',
                            action='store_true',
                            help='disable directory listings')
    
        parser.add_argument('-p', '--port',
                            action='store',
                            type=int,
                            default=8080,
                            help='port, default=%(default)s')
    
        parser.add_argument('-r', '--rootdir',
                            action='store',
                            type=str,
                            #default=os.path.abspath('.'),
                            default = self.getAbsWebPath(),
                            help='web directory root that contains the HTML/CSS/JS files %(default)s')

    
        parser.add_argument('-v', '--verbose',
                            action='count',
                            help='level of verbosity')
    
        parser.add_argument('-V', '--version',
                            action='version',
                            version='%(prog)s - v' + VERSION)
    
        opts = parser.parse_args()
        opts.rootdir = os.path.abspath(opts.rootdir)
        if not os.path.isdir(opts.rootdir):
            ErrorMessages.err('Root directory does not exist: ' + opts.rootdir)
        if opts.port < 1 or opts.port > 65535:
            ErrorMessages.err('Port is out of range [1..65535]: %d' % (opts.port))
        return opts
    
    def getAbsWebPath(self):
        mainpath = os.path.abspath('.')
        if mainpath[len(mainpath)-4:] == "main":
            subpath = mainpath[:len(mainpath)-4]
	else:
            subpath = mainpath + "/"
        webpath = subpath + "web"
	#print webpath
        return webpath
        
        
