/**
 * 
 */
index_from_server = 0;
uniq_index = 0;
last_selected_uniq_index = NaN;
index_relative_table = 0;

var comments_list = [];

/*
 * Append a row to categories table and a comment object to list of comments
 */
function appendCategory() {

	categoryName = $('#categories').find(":selected").text();
	categoryExplanation = $('#cat-explanation').val();
	$('#cat-explanation').val('');
	
	//console.log("Start: " + start_point + ". Stop: " + stop_point + ". Text: " + text_point);
	
	if (!isNaN(start_point) && !isNaN(stop_point) && start_point >= 0 && stop_point > 0) {	
		addRowToTable(uniq_index, categoryName, start_point, stop_point);
		highlightSelected('comment', uniq_index, categoryName);
		// Create an object to store a comment properties
		// It can be expanded linking other comments or code
		comment = {
				uniq: uniq_index,
				start: start_point,
				stop: stop_point,
				//text: text_point,
				name: categoryName,
				expl: categoryExplanation,
				source: null,
				com: null
		};
		comments_list.push(comment);
		
		last_selected_uniq_index = uniq_index;  
		uniq_index = uniq_index + 1;
		
		// Clear the global variable to avoid future reuse
		////clearIndex();
	} else {
		alert("You must select a text");
	}
}

/*
 * Append the code to a comment and update the row indicator
 */
function linkSource() {
	if (!isNaN(last_selected_uniq_index) || last_selected_uniq_index < $('#table_comments >tbody >tr').length) {
		if (!isNaN(start_point) && !isNaN(stop_point) && start_point >= 0 && stop_point > 0) {
			var valText = $('#row-code-' + last_selected_uniq_index).text();
			var count = parseInt(valText) + 1;
			$('#row-code-' + last_selected_uniq_index).html(count);
			highlightSelected('code', last_selected_uniq_index, 'Source code');
			// Create an object to store comment properties
			source = {
					start: start_point,
					stop: stop_point,
					//text: text_point,
					source: null,
			};
			// Iterate over the queue to find the first free pointer and append the new object
			var index = $('#row-' + last_selected_uniq_index).index();
			comment = comments_list[index];	
			while (true) { 
				if (comment.source === null){
					comment.source = source;
					break;
				} else {
					comment = comment.source;  
				}
			}
			// Clear the global variable to avoid future reuse
			clearIndex();
			//console.log(JSON.stringify(comments_list[last_selected_uniq_index]));
		} else {
			alert("You must select a text");
		}
	} else {
		alert("You must select a text");
	}
}

function linkComment() {
	
	categoryName = $('#categories').find(":selected").text();
	categoryExplanation = $('#cat-explanation').val();
	$('#cat-explanation').val('');
	if (!isNaN(last_selected_uniq_index) || last_selected_uniq_index < $('#table_comments >tbody >tr').length) {
		if (!isNaN(start_point) && !isNaN(stop_point) && start_point >= 0 && stop_point > 0) {
			var valText = $('#row-com-' + last_selected_uniq_index).text();
			var val = parseInt(valText) + 1;
			highlightSelected('comment', last_selected_uniq_index, categoryName);
			$('#row-com-' + last_selected_uniq_index).html(val);
			// Create an object to store code properties
			com = {
					start: start_point,
					stop: stop_point,
					//text: text_point,
					name: categoryName,
					expl: categoryExplanation,
					source: null,
					com: null
			};
			// Iterate over the queue to find the first free pointer and append the new object
			var index = $('#row-' + last_selected_uniq_index).index();
			console.log(last_selected_uniq_index + " " + index);
			comment = comments_list[index];	
			while (true) { 
				if (comment.com === null){
					comment.com = com;
					break;
				} else {
					comment = comment.com;  
				}
			}
			// Clear the global variable to avoid future reuse
			start_point = 0;
			stop_point = 0;
		} else {
			alert("Please select a comment before add code");
		}
	} else {
		alert("You must select a text");
	}
}

/* HTML Manipulation functions*/

/*
 * Adds a row to right categories table
 */
function addRowToTable(i, cat, start, stop) {
	$('#table_comments tbody').append('<tr id="row-' + i + '" onclick="selectRow(this);"><td>' + start + '</td><td>' + stop + '</td><td>' + cat + '</td><td id="row-com-' + i + '">1</td><td id="row-code-' + i + '">0</td><td><input type="button" value="Delete" onclick="deleteRow(this);"/></td></tr>');
}

/*
 * highlights the text associated to a row of categories table and updates the pointer to link-to-comment 
 */
function selectRow(item) {
	index_relative = $(item).index();
	id = $(item).attr('id');
	index_abs = id.substring(4, id.length);
	console.log("Select: " + index_relative + " Absolute: " + index_abs);
	if (index_relative > $('#table_comments >tbody >tr').length)
		last_selected_uniq_index = $('#table_comments >tbody >tr').length;
	else
		last_selected_uniq_index = index_abs;
	highlightText(index_abs);
}

/*
 * Called by "Delete row" button in the categories table
 * Remove the row from the table and from array list and delete the background of the text
 */
function deleteRow(item) {
	index = $(item).parent().parent().index();
	id = $(item).parent().parent().attr('id');
	abs = id.substring(4, id.length);
	$('.hcom-' + abs).contents().unwrap();
	$('.hcod-' + abs).contents().unwrap();
	$('#' + id).remove();
	//removeItemFromArray(comments_list, index);
	comments_list.splice(index, 1);
	highlightDeselectedByRow();
	//last_selected_uniq_index = $('#table_comments >tbody >tr').length;
	//console.log("Delete: " + index + " Absolute: " + abs);
	//console.log(JSON.stringify(comments_list));
	return false;
}

function removeItemFromArray(arr, item) {
    for(var i = arr.length; i--;) {
        if(arr[i] === item) {
            arr.splice(i, 1);
        }
    }
}

function clearIndex() {
    start_point = 0;
	stop_point = 0;
	text_point = "";
	updateIndex();
}

function updateIndex() {
	// Update the indicators
	$('#start').text(start_point);
	$('#end').text(stop_point);
	$('#length').text(stop_point - start_point);
	$('#selected').val(text_point.replace(/\n/g, "\\n").replace(/\r/g, "\\r"));
}


