import re
import threading


class FeaturesThreading(threading.Thread):
    molt = 1

    def __init__(self, threadID, cat, text):
        threading.Thread.__init__(self)
        self.threadID = threadID
        self.cat = cat
        self.text = text

    def run(self):
        if self.cat == 'Summary':
            self.rtn = self.featureSummary()
        elif self.cat == 'Expand':
            self.rtn = self.featureExpand()
        elif self.cat == 'Rational':
            self.rtn = self.featureRational()
        elif self.cat == 'Deprecation':
            self.rtn = self.featureDeprecation()
        elif self.cat == 'Usage':
            self.rtn = self.featureUsage()
        elif self.cat == 'Exception':
            self.rtn = self.featureException()
        elif self.cat == 'TODO':
            self.rtn = self.featureTODO()
        elif self.cat == 'Incomplete':
            self.rtn = self.featureIncomplete()
        elif self.cat == 'Commented code':
            self.rtn = self.featureCommentedCode()
        elif self.cat == 'Directive':
            self.rtn = self.featureDirective()
        elif self.cat == 'Formatter':
            self.rtn = self.featureFormatter()
        elif self.cat == 'License':
            self.rtn = self.featureLicense()
        elif self.cat == 'Ownership':
            self.rtn = self.featureOwnership()
        elif self.cat == 'Pointer':
            self.rtn = self.featurePointer()
        elif self.cat == 'Automatic generated':
            self.rtn = self.featureAutomaticGenerated()

    def join(self):
        threading.Thread.join(self)
        return self.rtn

    def featureSummary(self):
        return 0 * self.molt

    def featureExpand(self):
        return 0 * self.molt

    def featureRational(self):
        # ret = re.findall('(?i)', text)
        return 0 * self.molt

    def featureDeprecation(self):
        text = self.text
        ret = re.findall('(?i)@deprecated', text)
        return len(ret) * self.molt

    def featureUsage(self):
        text = self.text
        ret = re.findall('(?i)@param|@usage|@throws|@since|@noextend|@noimplement|@value|@return|for example', text)
        return len(ret) * self.molt

    def featureException(self):
        text = self.text
        ret = re.findall('(?i)exception|@throws|expected', text)
        return len(ret) * self.molt

    def featureTODO(self):
        text = self.text
        ret = re.findall('(?i)todo|fix|fixme|ignore|bug|note|#[0-9]*', text)
        return len(ret) * self.molt

    def featureIncomplete(self):
        text = self.text
        ret = re.findall('^\s*\/(\*|\s)*(\/|\*\s*\*\/)\n*$', text)
        return len(ret) * self.molt

    def featureCommentedCode(self):
        text = self.text
        ret = re.findall('(\/.*|\*.*)(;|\(.*)', text)
        return len(ret) * self.molt

    def featureDirective(self):
        text = self.text
        ret = re.findall('\/\/\s*\$\S*-\S*\$', text)
        return len(ret) * self.molt

    def featureFormatter(self):
        text = self.text
        ret = re.findall(r'([^*\s])(\1\1)|^\s*\/\/\/\s*\S*|\$\S*\s*\S*\$', text)
        return len(ret) * self.molt

    def featureLicense(self):
        text = self.text
        # ret = re.findall('(?i)license|copyright', text)
        ret = re.findall('(?i)license|copyright|reserved|terms|distribut|legal|warrant|law|\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*', text)
        return len(ret) * self.molt

    def featureOwnership(self):
        text = self.text
        # ret = re.findall('(?i)@author|@owner|contributor', text)
        ret = re.findall('(?i)@author|@owner|contributor|initial.*implementation', text)
        return len(ret) * self.molt

    def featurePointer(self):
        text = self.text
        ret = re.findall('(?i)@link|see|@inheritDoc|@literal|@code', text)
        return len(ret) * self.molt

    def featureAutomaticGenerated(self):
        text = self.text
        ret = re.findall('Auto-generate|\(non-Javadoc\)', text)
        return len(ret) * self.molt

        # turtel #ifdef #else #package
